Package com.databend.jdbc

## Class ConnectionProperties

- java.lang.Object
- - com.databend.jdbc.ConnectionProperties

    public final class ConnectionProperties
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ConnectionProperties.Debug`
`static class` `ConnectionProperties.StrNullAsNull`

### Field Summary

Fields
`static com.databend.jdbc.ConnectionProperty<String>` `ACCESS_TOKEN`
`static com.databend.jdbc.ConnectionProperty<Boolean>` `AUTO_DISCOVERY`
`static com.databend.jdbc.ConnectionProperty<String>` `BINARY_FORMAT`
`static com.databend.jdbc.ConnectionProperty<Integer>` `CONNECTION_TIMEOUT`
`static com.databend.jdbc.ConnectionProperty<Boolean>` `COPY_PURGE`
`static com.databend.jdbc.ConnectionProperty<String>` `DATABASE`
`static com.databend.jdbc.ConnectionProperty<Boolean>` `DEBUG`
`static com.databend.jdbc.ConnectionProperty<Boolean>` `ENABLE_MOCK`
`static com.databend.jdbc.ConnectionProperty<String>` `LOAD_BALANCING_POLICY`
`static com.databend.jdbc.ConnectionProperty<Integer>` `MAX_FAILOVER_RETRY`
`static com.databend.jdbc.ConnectionProperty<Integer>` `MAX_ROWS_IN_BUFFER`
`static com.databend.jdbc.ConnectionProperty<Integer>` `MAX_ROWS_PER_PAGE`
`static com.databend.jdbc.ConnectionProperty<Integer>` `NODE_DISCOVERY_INTERVAL`
`static com.databend.jdbc.ConnectionProperty<String>` `NULL_DISPLAY`
`static com.databend.jdbc.ConnectionProperty<String>` `PASSWORD`
`static com.databend.jdbc.ConnectionProperty<Boolean>` `PRESIGNED_URL_DISABLED`
`static com.databend.jdbc.ConnectionProperty<Integer>` `QUERY_TIMEOUT`
`static com.databend.jdbc.ConnectionProperty<String>` `SESSION_SETTINGS`
`static com.databend.jdbc.ConnectionProperty<Integer>` `SOCKET_TIMEOUT`
`static com.databend.jdbc.ConnectionProperty<Boolean>` `SSL`
`static com.databend.jdbc.ConnectionProperty<String>` `SSL_MODE`
`static com.databend.jdbc.ConnectionProperty<Boolean>` `STRNULL_AS_NULL`
`static com.databend.jdbc.ConnectionProperty<Boolean>` `USE_VERIFY`
`static com.databend.jdbc.ConnectionProperty<String>` `USER`
`static com.databend.jdbc.ConnectionProperty<Integer>` `WAIT_TIME_SECS`
`static com.databend.jdbc.ConnectionProperty<String>` `WAREHOUSE`

### Constructor Summary

Constructors
`ConnectionProperties()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Set<com.databend.jdbc.ConnectionProperty<?>>` `allProperties()`
`static Map<String,​String>` `getDefaults()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### USER

    public static final com.databend.jdbc.ConnectionProperty<String> USER

#### PASSWORD

    public static final com.databend.jdbc.ConnectionProperty<String> PASSWORD

#### SSL

    public static final com.databend.jdbc.ConnectionProperty<Boolean> SSL

#### USE_VERIFY

    public static final com.databend.jdbc.ConnectionProperty<Boolean> USE_VERIFY

#### DEBUG

    public static final com.databend.jdbc.ConnectionProperty<Boolean> DEBUG

#### STRNULL_AS_NULL

    public static final com.databend.jdbc.ConnectionProperty<Boolean> STRNULL_AS_NULL

#### WAREHOUSE

    public static final com.databend.jdbc.ConnectionProperty<String> WAREHOUSE

#### SSL_MODE

    public static final com.databend.jdbc.ConnectionProperty<String> SSL_MODE

#### MAX_FAILOVER_RETRY

    public static final com.databend.jdbc.ConnectionProperty<Integer> MAX_FAILOVER_RETRY

#### LOAD_BALANCING_POLICY

    public static final com.databend.jdbc.ConnectionProperty<String> LOAD_BALANCING_POLICY

#### AUTO_DISCOVERY

    public static final com.databend.jdbc.ConnectionProperty<Boolean> AUTO_DISCOVERY

#### NODE_DISCOVERY_INTERVAL

    public static final com.databend.jdbc.ConnectionProperty<Integer> NODE_DISCOVERY_INTERVAL

#### ENABLE_MOCK

    public static final com.databend.jdbc.ConnectionProperty<Boolean> ENABLE_MOCK

#### DATABASE

    public static final com.databend.jdbc.ConnectionProperty<String> DATABASE

#### ACCESS_TOKEN

    public static final com.databend.jdbc.ConnectionProperty<String> ACCESS_TOKEN

#### CONNECTION_TIMEOUT

    public static final com.databend.jdbc.ConnectionProperty<Integer> CONNECTION_TIMEOUT

#### QUERY_TIMEOUT

    public static final com.databend.jdbc.ConnectionProperty<Integer> QUERY_TIMEOUT

#### SOCKET_TIMEOUT

    public static final com.databend.jdbc.ConnectionProperty<Integer> SOCKET_TIMEOUT

#### PRESIGNED_URL_DISABLED

    public static final com.databend.jdbc.ConnectionProperty<Boolean> PRESIGNED_URL_DISABLED

#### COPY_PURGE

    public static final com.databend.jdbc.ConnectionProperty<Boolean> COPY_PURGE

#### NULL_DISPLAY

    public static final com.databend.jdbc.ConnectionProperty<String> NULL_DISPLAY

#### BINARY_FORMAT

    public static final com.databend.jdbc.ConnectionProperty<String> BINARY_FORMAT

#### WAIT_TIME_SECS

    public static final com.databend.jdbc.ConnectionProperty<Integer> WAIT_TIME_SECS

#### MAX_ROWS_IN_BUFFER

    public static final com.databend.jdbc.ConnectionProperty<Integer> MAX_ROWS_IN_BUFFER

#### MAX_ROWS_PER_PAGE

    public static final com.databend.jdbc.ConnectionProperty<Integer> MAX_ROWS_PER_PAGE

#### SESSION_SETTINGS

    public static final com.databend.jdbc.ConnectionProperty<String> SESSION_SETTINGS

### Constructor Detail

#### ConnectionProperties

    public ConnectionProperties()

### Method Detail

#### allProperties

    public static Set<com.databend.jdbc.ConnectionProperty<?>> allProperties()

#### getDefaults

    public static Map<String,​String> getDefaults()